package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;

public interface StaffApiService {

	public StaffDTO selectById(String staffId);
	
	public StaffDTO selectSuperByWxEnterpriseId(String wxEnterpriseId);

	public List<StaffDTO> listByIds(List<String> staffIds);

	
	public StaffDTO selectByNationcodeAndPhoneNumber(String wxEnterpriseId,String nationcode, String phoneNumber);

	public HaobanResponse add(StaffDTO staff, String departmentIds);

	public List<StaffDepartmentRelatedDTO> listStaffDepartmentByStaffId(String staffId);

	public Page<StaffDTO> pageStaff(String departmentId, Integer activeFlag, String keyword, BasePageInfo pageInfo);

	public void del(String staffDepartmentStaffRelatedId);

	public void wxGetAdd(String userId,String wxEnterpriseId);

	public void staffEdit(StaffDTO staffDTO, String departmentIds);

	public void syscGicClerk(String fieldListString);

	public StaffDTO selectByUserIdAndEnterpriseId(String userId,String wxEnterpriseId);

	public StaffDepartmentRelatedDTO getDepartmentIdAndStaffId(String departmentId, String staffId);

	public int countByDepartmentId(String departmentId);

	public void syncGicClerk(String fieldListString);

	StaffDepartmentRelatedDTO getDepartmentIdAndCode(String departmentId, String code);

	void initWxUser(String corpid, String suiteid, String wxEnterpriseId, Integer wxDepartmentId);

	public List<String> listUnBindClerk(String storeId);

	public void cleanGicClerk(String clerkCode, String departmentId);
}
